# Class CIM_UoWMetric
extends CIM_Dependency

This association ties a MetricDefinition to an instance of a UnitOfWork. Its primary purpose is to specify the value of the Metric for the instance of UnitOfWork. It is defined as a Dependency since the Metric value relies on the specific UnitOfWork for context.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_UoWMetric

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association ties a MetricDefinition to an instance of a UnitOfWork. Its primary purpose is to specify the value of the Metric for the instance of UnitOfWork. It is defined as a Dependency since the Metric value relies on the specific UnitOfWork for context.
UMLPackagePath | string | CIM::Metrics::UnitOfWork
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Value | string |
Description | string | The value of the Metric for the referenced UnitOfWork. Note that the type of the data and other information are defined by the properties of MetricDefinition.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_UoWMetric | CIM_UnitOfWork
Dependent | CIM_UoWMetric | CIM_MetricDefinition

## Class Methods